#pragma once

#include "GameObject.h"

class Tunnel : public GameObject
{
private:
    static int nextId;
    int id;
    bool aktiv;
    int benutzt;
    int zielX;
    int zielY;

public:
    Tunnel( int x, int y, int width, int height, int zielX, int zielY, bool aktiv );
    void setZielX( int x );
    int setZielY( int y );
    void addBenutzung();
    void setAktiv( bool aktiv );
    int getZielX() const;
    int getZielY() const;
    bool istAktiv() const;
};